<?php

/*

INSERT INTO 
    `tbleventos` (`id`, `title`, `descripcion`, `color`, `start`, `end`) 
VALUES (NULL, 'Evento 1', 'Develoteca aniversario', '#13ec3e', '2022-01-03 18:48:35', '2022-01-03 18:48:35');

*/

header("Content-Type: application/json");

/* CONCEXION BD */
$pdo = new PDO("mysql:host=127.0.0.1;dbname=php_bd", "php_bd_user", "123php_bd_userPH*");

/* VALIDACION ACCION */
$accion = (isset($_GET['accion'])) ? $_GET['accion'] : 'leer';
$usuario = $_GET['usuario'];

switch ($accion) {
    case 'leer':
        if (isset($_GET['usuario'])) {
            $sqlstr = "SELECT * FROM tbleventos WHERE iduser = ".$usuario;            
        } else {
            $sqlstr = "SELECT * FROM tbleventos";
        }
        

        $sentenciaSQL = $pdo->prepare($sqlstr);
        $sentenciaSQL->execute();

        $resultado = $sentenciaSQL->fetchAll(PDO::FETCH_ASSOC);
        print_r(json_encode($resultado));
        break;

    case 'agregar':

        $sentenciaSQL = $pdo->prepare(
            "INSERT INTO 
                `tbleventos` 
                (`id`, `title`, `descripcion`, `color`, `start`, `end`) 
            VALUES (NULL,:title,:descripcion,:color, :start,:end);"
        );

        $sentenciaSQL->execute(array(
            "title" => $_POST['title'],
            "descripcion" => $_POST['descr'],
            "color" => $_POST['color'],
            "start" => $_POST['date'] . " " . $_POST['time'] . ":00",
            "end" => $_POST['date'] . " " . $_POST['time'] . ":00"
        ));

        print_r($_POST);
        break;
    case 'borrar':
        $sentenciaSQL = $pdo->prepare(
            "DELETE FROM `tbleventos` WHERE `id`=:id");
        $sentenciaSQL->execute(array(
            "id" => $_POST['id']
        ));
        print_r($_POST);
        break;

    case "actualizar":
        $sentenciaSQL = $pdo->prepare(
            "UPDATE `tbleventos` 
             SET `title`=:title,
                 `descripcion`=:descripcion,
                 `color`=:color,
                 `start`=:start,
                 `end`=:end 
             WHERE `id`=:id");

        $sentenciaSQL->execute(array(
            "title" => $_POST['title'],
            "descripcion" => $_POST['descr'],
            "color" => $_POST['color'],
            "start" => $_POST['date'] . " " . $_POST['time'] . ":00",
            "end" => $_POST['date'] . " " . $_POST['time'] . ":00",
            "id" => $_POST['id']
        ));

        print_r($_POST);
        break;
}

/*
$sentenciaSQL= $pdo->prepare("SELECT * FROM tbleventos");
$sentenciaSQL->execute();
$resultado=$sentenciaSQL->fetchAll(PDO::FETCH_ASSOC);
print_r(json_encode($resultado));


print_r($_POST);

*/